초대 정보 미리보기

초대 코드로 수강권/결제 정보를 미리 확인합니다. **권한:** - 인증 불필요 (Public) **응답:** - **invitation_code**: 초대 코드 - **trainer_name**: 트레이너 이름 - **course_title**: 수업명 - **price**: 수강료 - **total_sessions**: 총 세션 수 - **session_duration**: 1회 수업 시간 (분) - **valid_days**: 수강권 유효 기간 (일) - **original_price**: 원가 - **discount_rate**: 할인율 - **total_price**: 최종 결제 금액 - **payment_method**: 결제 수단 - **expires_at**: 초대 만료 시각 - **is_valid**: 초대 유효 여부 - next_action: `NOTHING` **에러:** - 초대 코드를 찾을 수 없음: 404 Not Found

Authentication

AuthorizationBearer

Send a JWT access token with the Authorization header as Bearer <token>.

Path parameters

codestringRequired

초대 코드 (10자리)

Response

초대 정보 조회 성공

invitation_codestring
trainer_namestring
contractobject

Contract 미리보기 응답

paymentobject

Payment 미리보기 응답

expires_atdatetime
invitation_is_validboolean
statusstring
pin_reset_requiredboolean
pending_registration_tokenstring or null

Errors

404
Not Found Error